İçeriğe geç
Twexapi
Türkçe
Esc
gezin⌘Jönizle

Twitter Listesi Oluştur

Twitter Listesi Oluştur.

API Belgelerine Dön
/Lists Endpoints
POST/twitter/list/create
API Yetkilendirmesi
AuthorizationBearer token · headerzorunlu
TwexAPI genel Bearer Token kimlik bilgisi. İstek başlığı: Authorization: Bearer <YOUR_TWEXAPI_KEY>.
İstek Gövdesi
zorunluapplication/json
cookiestringzorunlu
Kullanıcının kendi yetkilendirilmiş Twitter oturum kimlik bilgileri veya auth_token (BYOC — Bring Your Own Cookie). Sıfır kimlik bilgisi saklama ile durum bilgisi olmayan proxy yürütmesi. [Kimlik Doğrulama Güvenliği](/tr/authentication#write-operations--byoc-bring-your-own-cookie) ve [Cookie Nasıl Alınır](https://youtube-promotion.pages.dev/how-to-get-twitter-cookie) sayfasına bakın.
list_namestringzorunlu
The name of the list.
list_descriptionstringzorunlu
The description of the list.
is_privatebooleanzorunlu
Whether the list is private.
Yanıtlar
200A list object.
codeintegerzorunlu
HTTP durum kodu (200 başarılı anlamına gelir)
msgstringzorunlu
Yanıt mesajı (örn: 'success')
dataListModelzorunlu
Uç nokta tarafından döndürülen ana veri
Özellikleri göster
idstringzorunlu
The ID of the list
namestringzorunlu
Kullanıcının görünen adı
descriptionstringzorunlu
Profil biyografisi (Bio)
is_privatebooleanzorunlu
Whether the list is private
member_countintegerzorunlu
The number of members in the list
subscriber_countintegerzorunlu
The number of subscribers in the list
422Parametre Doğrulama Hatası
detailValidationError[]
Özellikleri göster
Array of ValidationError
locstring | integer[]zorunlu
Özellikleri göster
Array of string | integer
Any of:
string
string
integer
integer
msgstringzorunlu
Yanıt mesajı (örn: 'success')
typestringzorunlu
inputany
ctxobject
Etkileşimli KonsolPOST
Etkileşimli Konsol / API TestiPOST
Live Console
🌐Hedef Sunucu:https://api.twexapi.io
● Canlı Ortam Hazır
✍️
Yazma İşlemi Kimlik Kılavuzu (TwexAPI Anahtarı + Twitter Çerezi)

1. TwexAPI Anahtarı (Bearer Token): İstek faturalandırması ve kimlik doğrulama için aşağıdaki "API Yetkilendirmesi"ne girin.

2. Twitter Hesabı Çerezi: Yazma işlemleri için (tweet, beğeni, takip), aşağıdaki cookie alanına hedef hesabın Çerezini (örn. auth_token=...; ct0=...) girin.

🔑API Yetkilendirmesi
📝İstek Gövdesiapplication/json
📡
暂无响应数据

请在「请求配置」中确认参数后,点击底部的「发送请求」按钮。

İstek
curl -X POST "https://api.twexapi.io/twitter/list/create" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "cookie": "ct0=abc123... or 2c4a4e1832096aa694c739b83c83b6d96d43eba7",
  "list_name": "string",
  "list_description": "string",
  "is_private": true
}'
Yanıt
{
  "code": 0,
  "msg": "string",
  "data": {
    "id": "string",
    "name": "string",
    "description": "string",
    "is_private": true,
    "member_count": 0,
    "subscriber_count": 0
  }
}